View Issue Details

IDProjectCategoryView StatusLast Update
16539Bug reportsQuestion editorpublic2020-08-12 10:10
Reportergabrieljenik Assigned To 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.3.6 
Summary16539: "Structure" should be shown when editing conditions (via the condition designer)
Description

"Structure" view should be selected on the sidebar.

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.3.6
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMysql
Server OS (if known)
Webserver software & version (if known)
PHP Version7

Relationships

related to 16540 new Keep focus on Structure tab when adding a new condition 

Activities

gabrieljenik

gabrieljenik

2020-07-30 00:24

developer   ~59183

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1522

sushmanadendla

sushmanadendla

2020-08-04 16:03

manager   ~59290

Tested the issue before pulling the PR, Issue exist. Tested the issue after pulling the PR, below are my findings:
Screenshot 1:Before pulling the PR, the structure tab is not focused while editing the condition
Screenshot 2:After pulling the PR, the structure tab is focused while editing the condition
Please refer the attachment for more details, Working as Expected

lime_release_bot

lime_release_bot

2020-08-12 10:10

administrator   ~59423

Fixed in Release 4.3.10+200812

Issue History

Date Modified Username Field Change
2020-07-29 17:52 gabrieljenik New Issue
2020-07-29 17:54 gabrieljenik Issue cloned: 16540
2020-07-29 17:54 gabrieljenik Relationship added related to 16540
2020-07-30 00:24 gabrieljenik Note Added: 59183
2020-08-04 16:03 sushmanadendla Note Added: 59290
2020-08-04 16:03 sushmanadendla File Added: 16539_Structuretab_Focused.png
2020-08-12 10:10 lime_release_bot Note Added: 59423
2020-08-12 10:10 lime_release_bot Status new => closed
2020-08-12 10:10 lime_release_bot Resolution open => fixed